int main(void)
{
    /* Initialized data */
    static float a[16] /* was [4][4] */ = { 1.f,.42f,.54f,.66f,.42f,1.f,.32f,
                                 .44f,.54f,.32f,1.f,.22f,.66f,.44f,.22f,1.f };

    /* Local variables */
    static int ierr;
    extern int adg2r_c(float *, int *, int *, int *, float *, float *,
                       float *, float *, int *);
    static int j, m, n, nlead[4];
    static float z__[4], rcond, det1, det2;

#define a_ref(a_1,a_2) a[(a_2)*4 + a_1 - 5]

    m = 4;
    n = m;
    for (j = 1; j <= 4; ++j) {
        printf("\n  %16.7e %16.7e   %16.7e %16.7e \n",
        a_ref(j, 1), a_ref(j, 2), a_ref(j, 3), a_ref(j, 4));
    }
    adg2r_c(a, &m, &n, nlead, &det1, &det2, &rcond, z__, &ierr);

    printf("\n  %5i %5i %5i %5i \n",nlead[0], nlead[1], nlead[2], nlead[3]);
    for (j = 1; j <= 4; ++j) {
        printf("\n  %16.7e %16.7e   %16.7e %16.7e \n",
        a_ref(j, 1), a_ref(j, 2), a_ref(j, 3), a_ref(j, 4));
    }
    printf("\n  %5i %22.14e \n",ierr, rcond);
    printf("\n  %22.14e %22.14e \n",det1, det2);
    return 0;
} /* main */

#undef a_ref
